> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coverwhale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Webhook Subscription

> Update a subscription's endpoint URL, event types, and/or active flag. All fields are optional — send only what you want to change. Set `active: false` to pause deliveries without deleting the subscription.



## OpenAPI

````yaml put /webhook-subscriptions/{id}
openapi: 3.0.0
info:
  title: Cover Whale API V1
  contact:
    name: Cover Whale API Team
  version: '1.0'
servers:
  - url: https://api.coverwhale.dev/v1
security:
  - AccessToken: []
tags:
  - name: Authentication
    description: Authenticating & Interacting with the API
paths:
  /webhook-subscriptions/{id}:
    put:
      tags:
        - Webhooks
      summary: Update a Webhook Subscription
      description: >-
        Update a subscription's endpoint URL, event types, and/or active flag.
        All fields are optional — send only what you want to change. Set
        `active: false` to pause deliveries without deleting the subscription.
      operationId: updateWebhookSubscription
      parameters:
        - name: Content-Type
          in: header
          required: true
          schema:
            type: string
          example: application/json
        - name: Accept
          in: header
          required: true
          schema:
            type: string
          example: application/json
        - name: AccessToken
          in: header
          required: true
          schema:
            type: string
          example: eyJraWQiOiJnRk5oTTh2RnRKWXVDVXU1S........
        - name: id
          in: path
          required: true
          schema:
            type: integer
          example: 42
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                endpoint_url:
                  type: string
                  example: https://hooks.yourapp.com/coverwhale-v2
                event_types:
                  type: array
                  minItems: 1
                  items:
                    type: string
                  example:
                    - submission.bind_completed
                    - submission.canceled
                active:
                  type: boolean
                  example: false
      responses:
        '200':
          description: Updated subscription
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: integer
                    example: 42
                  company_id:
                    type: integer
                    example: 6042
                  endpoint_url:
                    type: string
                    example: https://hooks.yourapp.com/coverwhale-v2
                  event_types:
                    type: array
                    items:
                      type: string
                    example:
                      - submission.bind_completed
                      - submission.canceled
                  active:
                    type: boolean
                    example: false
                  secret_rotated_at:
                    type: string
                    format: date-time
                    nullable: true
                    example: null
                  created_at:
                    type: string
                    format: date-time
                    example: '2026-07-14T12:00:00+00:00'
                  updated_at:
                    type: string
                    format: date-time
                    example: '2026-07-14T12:05:00+00:00'
        '404':
          description: Not found (or not owned by your account)
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                example:
                  error: Not found
components:
  securitySchemes:
    AccessToken:
      type: apiKey
      description: >-
        AWS Cognito access token obtained from the /authentication endpoint.
        Token expires after 3600 seconds.
      name: AccessToken
      in: header

````